View Issue Details

IDProjectCategoryView StatusLast Update
0014357LazarusIDEpublic2011-09-07 12:55
ReporterSergei GorelkinAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version1.0.0Fixed in Version 
Summary0014357: Buggy font size selection in Environment Options / Editor / Display
DescriptionLazarus SVN rev. 21230, Windows XP SP2 russian.

See the attached screenshots:
1.png: Initially, font size in combo is 18. Click button with ellipsis to display Font selection dialog, but that dialog displays size of 14. Note that the sample string in Font selection dialog is a couple of pixels larger than the font in Synedit preview.
2.png: Clicking OK in Font dialog (making no other changes) causes font size in combo to become -19, and the font in preview becomes about 1.5 times larger than it was.
Additional InformationThe font size in preview does not change if using the default "Courier" font. On my system Courier is a non-TrueType font, looking quite ugly, so I've changed it to Courier New.
TagsNo tags attached.
Fixed in Revision32150
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0017694 resolvedMartin Friebe Changing font size problem 
related to 0019934 resolvedJuha Manninen Editor font dialog should show only fixed pitch (monospace) fonts 

Activities

2009-08-15 21:28

 

1.png (51,056 bytes)
1.png (51,056 bytes)

2009-08-15 21:28

 

2.png (14,202 bytes)
2.png (14,202 bytes)

Martin Friebe

2011-09-02 00:34

manager   ~0051371

Lazarus used a mix Font size and height, which have different values for the same selection.

this has been fixed in revision 32150

Please test and close if ok

Sergei Gorelkin

2011-09-07 12:55

reporter   ~0051550

Works fine now. Thanks for fixing it.

Sergei Gorelkin

2011-09-07 12:55

reporter   ~0051551

Works fine now. Thanks for fixing it.

Sergei Gorelkin

2011-09-07 12:55

reporter   ~0051552

Works fine now. Thanks for fixing it.

Issue History

Date Modified Username Field Change
2009-08-15 21:28 Sergei Gorelkin New Issue
2009-08-15 21:28 Sergei Gorelkin File Added: 1.png
2009-08-15 21:28 Sergei Gorelkin Widgetset => Win32/Win64
2009-08-15 21:28 Sergei Gorelkin File Added: 2.png
2009-08-17 16:33 Vincent Snijders LazTarget => 1.0
2009-08-17 16:33 Vincent Snijders Status new => acknowledged
2009-08-17 16:33 Vincent Snijders Target Version => 1.0.0
2011-04-28 12:10 Martin Friebe Relationship added related to 0017694
2011-08-08 19:13 Martin Friebe Relationship added related to 0019934
2011-09-02 00:34 Martin Friebe Fixed in Revision => 32150
2011-09-02 00:34 Martin Friebe Status acknowledged => resolved
2011-09-02 00:34 Martin Friebe Resolution open => fixed
2011-09-02 00:34 Martin Friebe Assigned To => Martin Friebe
2011-09-02 00:34 Martin Friebe Note Added: 0051371
2011-09-07 12:55 Sergei Gorelkin Status resolved => closed
2011-09-07 12:55 Sergei Gorelkin Note Added: 0051550
2011-09-07 12:55 Sergei Gorelkin Note Added: 0051551
2011-09-07 12:55 Sergei Gorelkin Note Added: 0051552